requirements.txt 439 Bytes
Newer Older
1
# Requirements for TensorFlow Federated development. If you add a requirement
2
# here, also add it to the Dockerfile and (if it is needed by the PIP package)
3
# to tools/development/setup.py.
4
absl-py~=0.11.0
5
attrs~=19.3.0
6
cachetools~=3.1.1
7
dm-tree~=0.1.1
8
grpcio~=1.32.0
9
h5py~=2.10.0
10
numpy~=1.18.4
11
portpicker~=1.3.1
12
retrying~=1.3.3
13
semantic-version~=2.8.5
14
tensorflow-model-optimization~=0.5.0
15
tensorflow-privacy~=0.5.0
16
17
tf-nightly
tfa-nightly